image_urls for pure text-to-image, or provide reference images and mention them in prompt as @image_1, @image_2 …. Use mode=series to generate a coherent set of images.2k / 4k usually return PNG, 8k returns JPEG.curl --location 'https://api.kie.ai/api/v1/jobs/createTask' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "kling-4-0/image",
"callBackUrl": "https://your-domain.com/api/callback",
"input": {
"prompt": "A red apple on a white table, studio lighting, photorealistic",
"image_urls": [
"https://example.com/reference-1.png"
],
"mode": "default",
"resolution": "2k",
"aspect_ratio": "auto",
"count": 1
}
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "task_kling-4-0_1765180000000"
}
}